package de.htwsaar.webshop.service;

import de.htwsaar.webshop.model.OrderModel;
import de.htwsaar.webshop.repository.entities.Order;

import java.util.List;
import java.util.Map;

public interface OrderService {
    List<Order> findAll();

    Order save(Order order);

    Order save(OrderModel model);

    void delete(Long orderId);

    Order getOrderById(Long orderId);

    List<Order> getAllOrders(Long customerId);

    Map<Long, List<Order>> getTimeSortedOrders(long fromMilli, long months);
}
